# Directory where CUPS stores its filters
%global _filterdir /usr/lib/cups/filter

Name:		epson-inkjet-printer-escpr
Summary:	Drivers for Epson inkjet printers
Group:		Applications/System
Version:	1.0.4
Release:	3.1lsb3.2%{?dist}
License:	GPLv2+
URL:		http://avasys.jp/eng/linux_driver/download/lsb/epson-inkjet/escpr/
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

# Upstream releases source tarball within source rpm.
Source0:	http://linux.avasys.jp/drivers/lsb/epson-inkjet/stable/SRPMS/epson-inkjet-printer-escpr-1.0.4-1lsb3.2.src.rpm
# Patch location of CUPS libraries
Patch0:		epson-inkjet-printer-escpr-1.0.4-cups.patch

BuildRequires:	autoconf
BuildRequires:	chrpath
BuildRequires:	cups-devel
BuildRequires:	libjpeg-devel
# For dir ownership
Requires:	cups

%description
This package contains drivers for Epson Inkjet printers that use 
the New Generation Epson Printer Control Language.

For a detailed list of supported printers, please refer to
http://avasys.jp/english/linux_e/

%prep
# Manual setup
%setup -q -c -T
# Uncompress srpm
rpm2cpio %{SOURCE0} | cpio -i
# Get rid of spec file
rm epson-inkjet-printer-escpr.spec
# Uncompress tarball
tar zxf epson-inkjet-printer-escpr-%{version}-*.tar.gz
cd epson-inkjet-printer-escpr-%{version}
%patch0 -p1

%build
cd epson-inkjet-printer-escpr-%{version}
autoconf
%configure --disable-static --enable-shared --disable-rpath
# SMP make doesn't work
#make %{?_smp_mflags}
make

%install
rm -rf %{buildroot}
cd epson-inkjet-printer-escpr-%{version}
make install DESTDIR=%{buildroot} CUPS_PPD_DIR=%{_datadir}/ppd/Epson
# Get rid of .la files
rm -f %{buildroot}%{_libdir}/*.la
# Compress ppd files
for ppd in %{buildroot}%{_datadir}/ppd/Epson/*.ppd; do
 gzip $ppd
done
# Get rid of rpath
chrpath --delete %{buildroot}%{_filterdir}/epson-escpr
# Copy documentation
cp -a README README.ja COPYING AUTHORS NEWS ..

# Get rid of .so file, since no headers are installed.
rm %{buildroot}%{_libdir}/libescpr.so

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README README.ja COPYING AUTHORS NEWS
%{_filterdir}/epson-*
%{_datadir}/ppd/Epson/
%{_datadir}/epson-inkjet-printer-escpr/
%{_libdir}/libescpr.so.*

%changelog
* Sun Aug 28 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.0.4-3.1lsb3.2
- No sense in shipping .so file without headers; dropped -devel.

* Wed Jul 13 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.0.4-2.1lsb3.2
- Get rid of rpath.

* Mon Jul 11 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.0.4-1.1lsb3.2
- First release.
